module NgaExtensions
	module ActiveRecord
		module Base

			def self.included(base)
				base.extend(ClassMethods)
			end

			def forceUTF8!
		    attributes.each do |k,v|
		      v.force_encoding('UTF-8') if v.respond_to?(:force_encoding)
		    end
		    self
		  end

		  module ClassMethods
		  	def select_distinct *s
			    self.uniq.pluck *s
			  end
		  end
		  
		end
	end
end