module NgaExtensions
	module Object
	  ## this accepts a chain like "to_s.to_i.class" and safely passes the method to each and returns nil if it doesn't work
	  def safe_multi_send arg
	    str = arg&.to_s
	    args = str&.split('.')
	    args&.map(&:to_sym)
	    args&.inject(self) do |mem, var|
	      mem.send(var) if mem.respond_to?(var)
	    end
	  end
	end

end
